*********************************************
** MENA paper_replication file_ Global Policy
** STATA 16 version
*********************************************

use mena_data.dta, clear

gen t = 1
replace t = 2 if year >=1990 & year <=2001
replace t = 3 if year >= 2002


************* Table 2 ************
summarize lpop lgdppc mpgdp polity2 democracy eap eca lac mena na sas ssa num_trans num_domestic num_civilconflict rel efi 


************* Table 3 ************
eststo clear

global x1 lpop lgdppc npolity npolity2 eap eca lac na sas ssa num_civilconflict mpgdp 

foreach var in num_domestic num_trans  {

eststo `var'all		  : nbreg `var' $x1 t2002, cl(gid)
eststo `var't3 		  : nbreg `var' $x1 if t == 3, cl(gid)

}

estout *, cells(b(star fmt(3)) se(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01) stats(N, fmt(%9.0g %9.3f)) 


************* Table 4 ************
eststo clear

**polity score
global x1 lpop lgdppc democracy  num_civilconflict mpgdp 

foreach var in num_domestic num_trans  {

eststo `var'all		  : nbreg `var' $x1 t2002 if mena == 1, cl(gid)
eststo `var't3		  : nbreg `var' $x1 t2010 if t==3 & mena == 1, cl(gid)

}

estout *, cells(b(star fmt(3)) se(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01) stats(N, fmt(%9.0g %9.3f)) 


************* Table A1 ************
eststo clear

global x1 lpop lgdppc npolity npolity2 eap eca lac na sas ssa num_civilconflict mpgdp rel efi

foreach var in num_domestic num_trans  {

eststo `var'all		  : nbreg `var' $x1 t2002, cl(gid)
eststo `var't3 		  : nbreg `var' $x1 if t == 3, cl(gid)

}

estout *, cells(b(star fmt(3)) se(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01) stats(N, fmt(%9.0g %9.3f)) 		
		
************* Table A2 ************
eststo clear

**polity score
global x1 lpop lgdppc democracy  num_civilconflict mpgdp rel efi

foreach var in num_domestic num_trans  {

eststo `var'all		  : nbreg `var' $x1 t2002 if mena == 1, cl(gid)
eststo `var't3		  : nbreg `var' $x1 t2010 if t==3 & mena == 1, cl(gid)

}

estout *, cells(b(star fmt(3)) se(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01) stats(N, fmt(%9.0g %9.3f)) 		

************* Table A3 ************
eststo clear

global x1 lpop lgdppc npolity npolity2 eap eca lac na sas ssa num_civilconflict mpgdp 

foreach var in num_domestic num_trans  {

eststo `var't1		  : nbreg `var' $x1 if t == 1, cl(gid)
eststo `var't2 		  : nbreg `var' $x1 if t == 2, cl(gid)

}

estout *, cells(b(star fmt(3)) se(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01) stats(N, fmt(%9.0g %9.3f)) 

************* Table A4 ************
eststo clear

**polity score
global x1 lpop lgdppc democracy  num_civilconflict mpgdp 

foreach var in num_domestic num_trans  {

eststo `var'all		  : nbreg `var' $x1  if t!=3 & lac == 1, cl(gid)
eststo `var't3		  : nbreg `var' $x1  if t!=3 & eca == 1, cl(gid)

}

estout *, cells(b(star fmt(3)) se(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01) stats(N, fmt(%9.0g %9.3f)) 